"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setEnvKeyDeclaration = void 0;
const key_storage_1 = require("../domain/key-storage");
function setEnvKeyDeclaration(input) {
    const { objectName, propertyName, type, defaultValue, nullable } = input;
    key_storage_1.KeyStorage.add(objectName, {
        name: propertyName,
        type: type,
        default: defaultValue,
        nullable: nullable,
    });
}
exports.setEnvKeyDeclaration = setEnvKeyDeclaration;
//# sourceMappingURL=set-env-key-declaration.js.map