"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvSafe = void 0;
const load_env_1 = require("../usecase/load-env");
function EnvSafe(options = {}) {
    options = { path: '.env', ...options };
    // eslint-disable-next-line @typescript-eslint/ban-types
    return (envClass) => {
        (0, load_env_1.loadEnv)({ path: options.path, userEnvClass: envClass });
    };
}
exports.EnvSafe = EnvSafe;
//# sourceMappingURL=env-safe.js.map