"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyStorage = void 0;
class KeyStorage {
    static definitions = new Map();
    static add(className, key) {
        if (!this.definitions.has(className))
            this.definitions.set(className, []);
        const keyGroup = this.definitions.get(className);
        keyGroup.push(key);
    }
    static find(className) {
        return this.definitions.get(className);
    }
}
exports.KeyStorage = KeyStorage;
//# sourceMappingURL=key-storage.js.map